- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\FFProbe\OutputParser

class OutputParser implements OutputParserInterface

## Methods

array | parse(string $type, string $data) Parses ffprobe raw output. |

## Details

###
at line 22
`public array parse(string $type, string $data)`

Parses ffprobe raw output.

#### Parameters

string | $type | One of FFProbe::TYPE_* constant
string | $data | The data

#### Return Value

array |

#### Exceptions

InvalidArgumentException | In case the type is not supported